#include <QtGui/QApplication>
#include "modelcreator.h"
#include "modelcreatordata.h"
#include <iostream>
#include "m3derror.h"

int main(int argc, char *argv[])
{
    try
    {
        QApplication a(argc, argv);
        ModelCreator w;
        w.show();
        return a.exec();
    }
    catch(M3DError error)
    {
            std::cerr<<"====ERROR===="<<std::endl;
            std::cerr<<error.get_file()<<":"<<error.get_line()<<" in function \""<<error.get_function()<<"\""<<std::endl;
            std::cerr<<error.get_reason()<<std::endl;
            std::cerr<<"============="<<std::endl;
    }
}
